Bug 656689 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: slim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:42 EST by Lennart Poettering
Modified: 2012-05-31 15:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: slim-1.3.2-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 05:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:42:23 EST
Your package slim appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Petr Šabata 2010-11-24 05:56:22 EST
@@ -99,7 +99,7 @@ rm -rf $RPM_BUILD_ROOT
 %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pam.d/slim
 %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/slim.conf
 %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/logrotate.d/slim
-%dir %{_localstatedir}/run/slim
+%ghost %dir %{_localstatedir}/run/slim
 %{_bindir}/slim*
 %{_bindir}/update_slim_wmlist
 %{_mandir}/man1/slim*.1*
Comment 2 Sebastian Krämer 2011-05-31 04:58:58 EDT
Something is not working right. 'rpm -qs slim' shows /var/run/slim but there is no such directory and slim fails to create files there. Please see bug #708693.

Note You need to log in before you can comment on or make changes to this bug.